Loading...
Searching...
No Matches
itk::GPUCompositeTransformBase< TScalarType, NDimensions > Class Template Referenceabstract

`#include <itkGPUCompositeTransformBase.h>`

## Detailed Description

template<typename TScalarType = float, unsigned int NDimensions = 3>
class itk::GPUCompositeTransformBase< TScalarType, NDimensions >

Definition at line 38 of file itkGPUCompositeTransformBase.h.

Inheritance diagram for itk::GPUCompositeTransformBase< TScalarType, NDimensions >:
[legend]

## Public Types

using | GPUSuperclass = GPUTransformBase
using | ScalarType = TScalarType
using | Self = GPUCompositeTransformBase
using | TransformType = Transform<TScalarType, NDimensions, NDimensions>
using | TransformTypeConstPointer = typename TransformType::ConstPointer
using | TransformTypePointer = typename TransformType::Pointer
Public Types inherited from itk::GPUTransformBase
using | Self = GPUTransformBase

## Public Member Functions

virtual const char * | GetClassName () const
virtual const TransformTypePointer | GetNthTransform (SizeValueType n) const =0
virtual SizeValueType | GetNumberOfTransforms () const =0
virtual bool | HasBSplineTransform () const
virtual bool | HasIdentityTransform () const
virtual bool | HasMatrixOffsetTransform () const
virtual bool | HasTranslationTransform () const
virtual bool | IsBSplineTransform (const std::vcl_size_t index) const
virtual bool | IsIdentityTransform (const std::vcl_size_t index) const
virtual bool | IsMatrixOffsetTransform (const std::vcl_size_t index) const
virtual bool | IsTranslationTransform (const std::vcl_size_t index) const
| itkStaticConstMacro (InputSpaceDimension, unsigned int, NDimensions)
| itkStaticConstMacro (OutputSpaceDimension, unsigned int, NDimensions)
Public Member Functions inherited from itk::GPUTransformBase
virtual const char * | GetNameOfClass () const
virtual GPUDataManager::Pointer | GetParametersDataManager () const
virtual bool | IsBSplineTransform () const
virtual bool | IsIdentityTransform () const
virtual bool | IsMatrixOffsetTransform () const
virtual bool | IsTranslationTransform () const

## Protected Member Functions

GPUDataManager::Pointer | GetParametersDataManager (const std::vcl_size_t index) const override
bool | GetSourceCode (std::string &source) const override
| GPUCompositeTransformBase ()=default
| ~GPUCompositeTransformBase () override=default
Protected Member Functions inherited from itk::GPUTransformBase
| GPUTransformBase ()
virtual | ~GPUTransformBase ()=default

## Private Member Functions

| GPUCompositeTransformBase (const Self &other)=delete
bool | IsBSplineTransform (const std::vcl_size_t index, const bool loadSource, std::string &source) const
bool | IsIdentityTransform (const std::vcl_size_t index, const bool loadSource, std::string &source) const
bool | IsMatrixOffsetTransform (const std::vcl_size_t index, const bool loadSource, std::string &source) const
bool | IsTranslationTransform (const std::vcl_size_t index, const bool loadSource, std::string &source) const
const Self & | operator= (const Self &)=delete

## Additional Inherited Members

Protected Attributes inherited from itk::GPUTransformBase
GPUDataManager::Pointer | m_ParametersDataManager {}

## Member Typedef Documentation

## GPUSuperclass

template<typename TScalarType = float, unsigned int NDimensions = 3>

using itk::GPUCompositeTransformBase< TScalarType, NDimensions >::GPUSuperclass = GPUTransformBase

Definition at line 43 of file itkGPUCompositeTransformBase.h.

## ScalarType

template<typename TScalarType = float, unsigned int NDimensions = 3>

using itk::GPUCompositeTransformBase< TScalarType, NDimensions >::ScalarType = TScalarType

Sub transform types.

Definition at line 49 of file itkGPUCompositeTransformBase.h.

## Self

template<typename TScalarType = float, unsigned int NDimensions = 3>

using itk::GPUCompositeTransformBase< TScalarType, NDimensions >::Self = GPUCompositeTransformBase

Standard class typedefs.

Definition at line 42 of file itkGPUCompositeTransformBase.h.

## TransformType

template<typename TScalarType = float, unsigned int NDimensions = 3>

using itk::GPUCompositeTransformBase< TScalarType, NDimensions >::TransformType = Transform<TScalarType, NDimensions, NDimensions>

Definition at line 50 of file itkGPUCompositeTransformBase.h.

## TransformTypeConstPointer

template<typename TScalarType = float, unsigned int NDimensions = 3>

using itk::GPUCompositeTransformBase< TScalarType, NDimensions >::TransformTypeConstPointer = typename TransformType::ConstPointer

Definition at line 52 of file itkGPUCompositeTransformBase.h.

## TransformTypePointer

template<typename TScalarType = float, unsigned int NDimensions = 3>

using itk::GPUCompositeTransformBase< TScalarType, NDimensions >::TransformTypePointer = typename TransformType::Pointer

Definition at line 51 of file itkGPUCompositeTransformBase.h.

## Constructor & Destructor Documentation

## GPUCompositeTransformBase() [1/2]

template<typename TScalarType = float, unsigned int NDimensions = 3>

itk::GPUCompositeTransformBase< TScalarType, NDimensions >::GPUCompositeTransformBase | ( |  | ) |

protected default

## ~GPUCompositeTransformBase()

template<typename TScalarType = float, unsigned int NDimensions = 3>

itk::GPUCompositeTransformBase< TScalarType, NDimensions >::~GPUCompositeTransformBase | ( |  | ) |

override protected default

## GPUCompositeTransformBase() [2/2]

template<typename TScalarType = float, unsigned int NDimensions = 3>

itk::GPUCompositeTransformBase< TScalarType, NDimensions >::GPUCompositeTransformBase | ( | const Self & | other | ) |

private delete

## Member Function Documentation

## GetClassName()

template<typename TScalarType = float, unsigned int NDimensions = 3>

virtual const char * itk::GPUCompositeTransformBase< TScalarType, NDimensions >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented in itk::GPUAdvancedCombinationTransform< TScalarType, NDimensions, TParentTransform >, itk::GPUAdvancedCombinationTransform< GPUScalarType, SpaceDimension >, and itk::GPUCompositeTransform< TScalarType, NDimensions, TParentTransform >.

## GetNthTransform()

template<typename TScalarType = float, unsigned int NDimensions = 3>

virtual const TransformTypePointer itk::GPUCompositeTransformBase< TScalarType, NDimensions >::GetNthTransform | ( | SizeValueType | n | ) | const

pure virtual

Get the Nth transform.

Implemented in itk::GPUAdvancedCombinationTransform< TScalarType, NDimensions, TParentTransform >, itk::GPUAdvancedCombinationTransform< GPUScalarType, SpaceDimension >, and itk::GPUCompositeTransform< TScalarType, NDimensions, TParentTransform >.

## GetNumberOfTransforms()

template<typename TScalarType = float, unsigned int NDimensions = 3>

virtual SizeValueType itk::GPUCompositeTransformBase< TScalarType, NDimensions >::GetNumberOfTransforms | ( |  | ) | const

pure virtual

Get number of transforms in composite transform.

Implemented in itk::GPUAdvancedCombinationTransform< TScalarType, NDimensions, TParentTransform >, itk::GPUAdvancedCombinationTransform< GPUScalarType, SpaceDimension >, and itk::GPUCompositeTransform< TScalarType, NDimensions, TParentTransform >.

## GetParametersDataManager()

template<typename TScalarType = float, unsigned int NDimensions = 3>

GPUDataManager::Pointer itk::GPUCompositeTransformBase< TScalarType, NDimensions >::GetParametersDataManager | ( | const std::vcl_size_t | index | ) | const

override protected virtual

Returns data manager that stores all settings for the transform index. Used by combination transforms.

Reimplemented from itk::GPUTransformBase.

## GetSourceCode()

template<typename TScalarType = float, unsigned int NDimensions = 3>

bool itk::GPUCompositeTransformBase< TScalarType, NDimensions >::GetSourceCode | ( | std::string & | source | ) | const

override protected virtual

Returns OpenCL source code for the transform. Returns true if source code was combined, false otherwise.

Reimplemented from itk::GPUTransformBase.

## HasBSplineTransform()

template<typename TScalarType = float, unsigned int NDimensions = 3>

virtual bool itk::GPUCompositeTransformBase< TScalarType, NDimensions >::HasBSplineTransform | ( |  | ) | const

virtual

Returns true if the derived composite transform has BSpline transform, false otherwise.

## HasIdentityTransform()

template<typename TScalarType = float, unsigned int NDimensions = 3>

virtual bool itk::GPUCompositeTransformBase< TScalarType, NDimensions >::HasIdentityTransform | ( |  | ) | const

virtual

Returns true if the derived composite transform has identity transform, false otherwise.

## HasMatrixOffsetTransform()

template<typename TScalarType = float, unsigned int NDimensions = 3>

virtual bool itk::GPUCompositeTransformBase< TScalarType, NDimensions >::HasMatrixOffsetTransform | ( |  | ) | const

virtual

Returns true if the derived composite transform has matrix offset transform, false otherwise.

## HasTranslationTransform()

template<typename TScalarType = float, unsigned int NDimensions = 3>

virtual bool itk::GPUCompositeTransformBase< TScalarType, NDimensions >::HasTranslationTransform | ( |  | ) | const

virtual

Returns true if the derived composite transform has translation transform, false otherwise.

## IsBSplineTransform() [1/2]

template<typename TScalarType = float, unsigned int NDimensions = 3>

virtual bool itk::GPUCompositeTransformBase< TScalarType, NDimensions >::IsBSplineTransform | ( | const std::vcl_size_t | index | ) | const

virtual

Returns true if the transform at index is BSpline transform, false otherwise.

## IsBSplineTransform() [2/2]

template<typename TScalarType = float, unsigned int NDimensions = 3>

bool itk::GPUCompositeTransformBase< TScalarType, NDimensions >::IsBSplineTransform | ( | const std::vcl_size_t | index,
|  | const bool | loadSource,
|  | std::string & | source ) const

private

## IsIdentityTransform() [1/2]

template<typename TScalarType = float, unsigned int NDimensions = 3>

virtual bool itk::GPUCompositeTransformBase< TScalarType, NDimensions >::IsIdentityTransform | ( | const std::vcl_size_t | index | ) | const

virtual

Returns true if the transform at index is identity transform, false otherwise.

## IsIdentityTransform() [2/2]

template<typename TScalarType = float, unsigned int NDimensions = 3>

bool itk::GPUCompositeTransformBase< TScalarType, NDimensions >::IsIdentityTransform | ( | const std::vcl_size_t | index,
|  | const bool | loadSource,
|  | std::string & | source ) const

private

## IsMatrixOffsetTransform() [1/2]

template<typename TScalarType = float, unsigned int NDimensions = 3>

virtual bool itk::GPUCompositeTransformBase< TScalarType, NDimensions >::IsMatrixOffsetTransform | ( | const std::vcl_size_t | index | ) | const

virtual

Returns true if the transform at index is matrix offset transform, false otherwise.

## IsMatrixOffsetTransform() [2/2]

template<typename TScalarType = float, unsigned int NDimensions = 3>

bool itk::GPUCompositeTransformBase< TScalarType, NDimensions >::IsMatrixOffsetTransform | ( | const std::vcl_size_t | index,
|  | const bool | loadSource,
|  | std::string & | source ) const

private

## IsTranslationTransform() [1/2]

template<typename TScalarType = float, unsigned int NDimensions = 3>

virtual bool itk::GPUCompositeTransformBase< TScalarType, NDimensions >::IsTranslationTransform | ( | const std::vcl_size_t | index | ) | const

virtual

Returns true if the transform at index is translation transform, false otherwise.

## IsTranslationTransform() [2/2]

template<typename TScalarType = float, unsigned int NDimensions = 3>

bool itk::GPUCompositeTransformBase< TScalarType, NDimensions >::IsTranslationTransform | ( | const std::vcl_size_t | index,
|  | const bool | loadSource,
|  | std::string & | source ) const

private

## itkStaticConstMacro() [1/2]

template<typename TScalarType = float, unsigned int NDimensions = 3>

itk::GPUCompositeTransformBase< TScalarType, NDimensions >::itkStaticConstMacro | ( | InputSpaceDimension | ,
|  | unsigned int | ,
|  | NDimensions | )

Dimension of the domain space.

## itkStaticConstMacro() [2/2]

template<typename TScalarType = float, unsigned int NDimensions = 3>

itk::GPUCompositeTransformBase< TScalarType, NDimensions >::itkStaticConstMacro | ( | OutputSpaceDimension | ,
|  | unsigned int | ,
|  | NDimensions | )

## operator=()

template<typename TScalarType = float, unsigned int NDimensions = 3>

const Self & itk::GPUCompositeTransformBase< TScalarType, NDimensions >::operator= | ( | const Self & |  | ) |

private delete

Generated on 1768596610 for elastix by 1.15.0 |